import os
import shutil

def classify_files_by_third_underscore(source_dir, target_dir):
    # 遍历源目录中的文件
    for filename in os.listdir(source_dir):
        if filename.endswith('.mp4'):
            # 按第三个 '_' 分割文件名
            parts = filename.split('_')
            if len(parts) > 3:  # 确保文件名有足够的部分
                # 取第三个 '_' 前和后的部分
                prefix = "_".join(parts[:3])  # 第三个 `_` 前的部分
                category = parts[3]  # 第三个 `_` 后的部分
                
                # 创建目标子目录，包含前缀和后缀
                prefix_name = f"{prefix}_{category}"
                sub_dir = os.path.join(target_dir, prefix)
                if not os.path.exists(sub_dir):
                    os.makedirs(sub_dir)
                
                # 移动文件到目标子目录
                source_path = os.path.join(source_dir, filename)
                target_path = os.path.join(sub_dir, filename)
                shutil.move(source_path, target_path)
                
                print(f"已归类: {filename} -> {sub_dir}")
            else:
                print(f"跳过: {filename} (命名不符合要求)")

# 示例调用
source_directory = "./"
target_directory = "/app/video/pzh"
classify_files_by_third_underscore(source_directory, target_directory)

